//------------------------------------------------------------------------------
#ifndef xmltoolasH
#define xmltoolasH
//------------------------------------------------------------------------------
#include <wx/xml/xml.h>

	wxXmlNode* findNode(wxXmlNode* node,wxString nodename);
	wxXmlNode* findNodeOnAttribute(wxXmlNode* node,wxString nodename,wxString Attribute,wxString val);
	wxXmlNode* findFirstNode(wxXmlNode* node,wxString nodename);
	wxXmlNode* findFirstNodeOnAttribute(wxXmlNode* node,wxString nodename,wxString Attribute,wxString val);
	wxXmlNode* findNodeOnPath(wxXmlNode* node,wxString path);
	wxString getCdataValue(wxXmlNode* node);
	void setCdataValue(wxXmlNode* node,wxString val);

//------------------------------------------------------------------------------
#endif
